pub(crate) mod app;
pub(crate) mod app_window;
pub(crate) mod commit_list_window;
pub(crate) mod commits_model;
pub(crate) mod config;
pub(crate) mod diff_model;
pub(crate) mod diff_widget;
pub(crate) mod editor;
pub(crate) mod files_model;
pub(crate) mod keyboard_help;
pub(crate) mod settings_dialog;
pub(crate) mod telemetry;

fn main() -> std::process::ExitCode {
    let app = app::PatchpalApplication::new();
    app.run_with_exit_code().into()
}
